from memory.updater.generic import GenericUpdater
from memory.servicetype import ServiceType

class NoUpdaterForServiceTypeException(Exception):
    pass

def get_updater(service):
    if service.type == ServiceType.MONGO:
        return GenericUpdater(service.name)
    elif service.type == ServiceType.VIRGO:
        return GenericUpdater(service.name)
    else:
        raise NoUpdaterForServiceTypeException()